<?php
    $StatusSelected = $sf_params->get('filters');
    if(isset($StatusSelected['doc_status']))
        $StatusSelected = $StatusSelected['doc_status'];
    switch ($sf_context->getActionName()) {
        case "list":
            echo select_tag('filters[doc_status]', options_for_select(
                    array(
                        ''=>'',
                        '0'=>__('Enable'),
                        '1'=>__('Censored'),
                        '2'=>__('Deleted'),
                        '3'=>__('Error')
                        ),
                        $StatusSelected
                 )
            );
            break;
        case "edit":
            echo select_tag('tbldocument[doc_status]', options_for_select(
                    array(
                        ''=>'',
                        '0'=>__('Enable'),
                        '1'=>__('Censored'),
                        '2'=>__('Deleted')
                        ),
                        $tbldocument->getDocStatus()
                 )
            );
            break;
    }
?>